{% extends "base.html.twig" %}

{% block title 'Gérer les étudiants' %}

{% block body %}
    <div class="container mt-4">
    {% if message!=null %}  
        <div class="alert alert-{{color}}">
        <strong>{{message}}</strong> 
        </div>
    {% endif %}
    
<legend style="margin-top:40px">Gérer les étudiants</legend>
 
    {% for message in app.flashes('success') %}
        <div class = "alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    <table class="table table-striped">
        <thead>
        <tr>
            <th>Nom</th>
            <th>Prenom</th>
            <th>Email</th>
            <th>Groupe</th>
        </tr>
        </thead>
        <tbody>
        
        {% for etudiant in etudiants %}
            <tr>
                <td>{{ etudiant.nom }}</td>
                <td>{{ etudiant.prenom }}</td>
                <td>{{ etudiant.email }}</td>
                <td>{{ etudiant.groupe }}</td>
                <td> 
                    <a href="{{ path('admin_edit_etudiant', {id: etudiant.id}) }}" class="btn btn-secondary btn-sm">Editer</a>
                    
                    <form method="post" action =" {{ path ('admin_delete_etudiant', {id: etudiant.id }) }}" style  = "display: inline-block" onsubmit = "return confirm ('Vous allez supprimer un étudiant !')">
                        <input type = "hidden" name = "_method" value = "DELETE">
                        <input type = "hidden" name = "_token" value = "{{ csrf_token('delete' ~ etudiant.id) }}">
                        <button class = "btn btn-danger btn-sm"> Supprimer </button>
                    </form>

                </td>
                <td><a href = "#" class="btn btn-primary btn-sm">Envoyer un message</a></td>
                </tr>
        {% endfor %}
        </tbody>
        </table>


</div>


<div class="col-md-3" >

    </div>
 
 <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#collapse1" aria-expanded="false" aria-controls="collapse1">Importer des étudiants</button>
 

 <div id="collapse1" class="collapse" >
    <a  class="btn btn-danger btn-sm" data-toggle="collapse" href="#collapse2"  style="margin-top:5%;margin-bottom:5%" >Cliquez ici pour voir les instructions à suivre</a>
    <br /> 
     <div id="collapse2" class="collapse" >
            Etape 1 : Modifier le modèle en cliquant <a href="https://docs.google.com/spreadsheets/d/1wXBIXzH5gE2gb16pYGFzS-vw_zGXiMNDK1BhLgH_c4U/edit#gid=0" target="_blank">ici</a>.<br>
            Etape 2 : Remplir les champs du modèle.<br>
            Etape 3 : Cliquer sur "Fichier", "Téléchargement" et "Valeurs séparées par des virgules en .csv".<br>
            Etape 4 : Cliquer sur "Importer" pour ajouter des étudiants<br>
            NOTE IMPORTANTE : Ne pas modifier les colonnes du modèle et le fichier doit être enregistrer en ".csv".<br>
     </div>  
    
    <form enctype="multipart/form-data" action="" method="post">
        <div class="input-row">
            <input type="file"   name="file" id="file" accept=".csv">
          
            <br />
            <button type="submit" id="submit" name="import" class="btn-submit btn-sm">Importer</button>
            <br />
        <div class = "text-right">
            <a href = "#" class="btn btn-primary btn-sm" >Créer un étudiant </a>
        </div>
    </form>

  </div>

</div>

       
{% endblock %}